summaryrefslogtreecommitdiffstats
path: root/development
diff options
context:
space:
mode:
author Michiel van Wessem <michiel@slackbuilds.org>2011-09-23 18:43:02 -0300
committer Niels Horn <niels.horn@slackbuilds.org>2011-09-23 18:43:02 -0300
commit9f96605167b7c173129e1ecf7a566d183e822c8c (patch)
tree46648e752dd15c5bcbcc2c09396437b1522904c0 /development
parentf80b38d42a53f272206e2fc285b55fad5524c953 (diff)
downloadslackbuilds-9f96605167b7c173129e1ecf7a566d183e822c8c.tar.gz
slackbuilds-9f96605167b7c173129e1ecf7a566d183e822c8c.tar.xz
development/kdiff3: Updated for version 0.9.96.
Signed-off-by: Niels Horn <niels.horn@slackbuilds.org>
Diffstat (limited to 'development')
-rw-r--r--development/kdiff3/docbook.patch40
-rw-r--r--development/kdiff3/doinst.sh9
-rw-r--r--development/kdiff3/kdiff3.SlackBuild12
-rw-r--r--development/kdiff3/kdiff3.info8
-rw-r--r--development/kdiff3/slack-desc2
5 files changed, 19 insertions, 52 deletions
diff --git a/development/kdiff3/docbook.patch b/development/kdiff3/docbook.patch
deleted file mode 100644
index 94dcfc279a..0000000000
--- a/development/kdiff3/docbook.patch
+++ /dev/null
@@ -1,40 +0,0 @@
-diff -Naur kdiff3-0.9.95/doc/de/index.docbook kdiff3-0.9.95_patched/doc/de/index.docbook
---- kdiff3-0.9.95/doc/de/index.docbook 2009-01-01 22:52:33.000000000 +0000
-+++ kdiff3-0.9.95_patched/doc/de/index.docbook 2011-03-30 15:22:42.385602434 +0000
-@@ -1,5 +1,5 @@
- <?xml version="1.0" ?>
--<!DOCTYPE book PUBLIC "-//KDE//DTD DocBook XML V4.1.2-Based Variant V1.1//EN" "dtd/kdex.dtd" [
-+<!DOCTYPE book PUBLIC "-//KDE//DTD DocBook XML V4.2-Based Variant V1.1//EN" "dtd/kdex.dtd" [
- <!ENTITY kdiff3 "<application
- >KDiff3</application
- >">
-diff -Naur kdiff3-0.9.95/doc/fr/index.docbook kdiff3-0.9.95_patched/doc/fr/index.docbook
---- kdiff3-0.9.95/doc/fr/index.docbook 2009-01-01 22:52:33.000000000 +0000
-+++ kdiff3-0.9.95_patched/doc/fr/index.docbook 2011-03-30 15:23:18.415460663 +0000
-@@ -1,5 +1,5 @@
- <?xml version="1.0" ?>
--<!DOCTYPE book PUBLIC "-//KDE//DTD DocBook XML V4.1.2-Based Variant V1.1//EN" "dtd/kdex.dtd" [
-+<!DOCTYPE book PUBLIC "-//KDE//DTD DocBook XML V4.2-Based Variant V1.1//EN" "dtd/kdex.dtd" [
- <!ENTITY kdiff3 "<application
- >KDiff3</application
- >">
-diff -Naur kdiff3-0.9.95/doc/it/index.docbook kdiff3-0.9.95_patched/doc/it/index.docbook
---- kdiff3-0.9.95/doc/it/index.docbook 2009-01-01 22:52:33.000000000 +0000
-+++ kdiff3-0.9.95_patched/doc/it/index.docbook 2011-03-30 15:23:29.516952292 +0000
-@@ -1,5 +1,5 @@
- <?xml version="1.0" ?>
--<!DOCTYPE book PUBLIC "-//KDE//DTD DocBook XML V4.1.2-Based Variant V1.1//EN" "dtd/kdex.dtd" [
-+<!DOCTYPE book PUBLIC "-//KDE//DTD DocBook XML V4.2-Based Variant V1.1//EN" "dtd/kdex.dtd" [
- <!ENTITY kdiff3 "<application
- >KDiff3</application
- >">
-diff -Naur kdiff3-0.9.95/doc/nl/index.docbook kdiff3-0.9.95_patched/doc/nl/index.docbook
---- kdiff3-0.9.95/doc/nl/index.docbook 2009-01-01 22:52:33.000000000 +0000
-+++ kdiff3-0.9.95_patched/doc/nl/index.docbook 2011-03-30 15:23:37.372178242 +0000
-@@ -1,5 +1,5 @@
- <?xml version="1.0" ?>
--<!DOCTYPE book PUBLIC "-//KDE//DTD DocBook XML V4.1.2-Based Variant V1.1//EN" "dtd/kdex.dtd" [
-+<!DOCTYPE book PUBLIC "-//KDE//DTD DocBook XML V4.2-Based Variant V1.1//EN" "dtd/kdex.dtd" [
- <!ENTITY kdiff3 "<application
- >KDiff3</application
- >">
diff --git a/development/kdiff3/doinst.sh b/development/kdiff3/doinst.sh
new file mode 100644
index 0000000000..3e5691a052
--- /dev/null
+++ b/development/kdiff3/doinst.sh
@@ -0,0 +1,9 @@
+if [ -x /usr/bin/update-desktop-database ]; then
+ /usr/bin/update-desktop-database -q usr/share/applications >/dev/null 2>&1
+fi
+
+if [ -e usr/share/icons/hicolor/icon-theme.cache ]; then
+ if [ -x /usr/bin/gtk-update-icon-cache ]; then
+ /usr/bin/gtk-update-icon-cache usr/share/icons/hicolor >/dev/null 2>&1
+ fi
+fi
diff --git a/development/kdiff3/kdiff3.SlackBuild b/development/kdiff3/kdiff3.SlackBuild
index f53d1f9c67..0574e6c262 100644
--- a/development/kdiff3/kdiff3.SlackBuild
+++ b/development/kdiff3/kdiff3.SlackBuild
@@ -1,7 +1,7 @@
#!/bin/sh
# Slackware build script for: kdiff3
-# Copyright 2007-2009 Michiel van Wessem, Manchester, United Kingdom
+# Copyright 2007-2011 Michiel van Wessem, Manchester, United Kingdom
# All rights reserved.
#
# Redistribution and use of this script, with or without modification, is
@@ -22,7 +22,7 @@
# ADVISED OF THE POSSIBILITY OF SUCH DAMAGE.
PRGNAM=kdiff3
-VERSION=${VERSION:-0.9.95}
+VERSION=${VERSION:-0.9.96}
BUILD=${BUILD:-1}
TAG=${TAG:-_SBo}
@@ -53,12 +53,12 @@ else
LIBDIRSUFFIX=""
fi
-set -e # Exit on most errors
+set -e
rm -rf $PKG
mkdir -p $TMP $PKG $OUTPUT
cd $TMP
-rm -rf $TMP/$PRGNAM-$VERSION
+rm -rf $PRGNAM-$VERSION
tar -xzvf $CWD/$PRGNAM-$VERSION.tar.gz
cd $PRGNAM-$VERSION
chown -R root:root .
@@ -68,9 +68,6 @@ find . \
\( -perm 666 -o -perm 664 -o -perm 600 -o -perm 444 -o -perm 440 -o -perm 400 \) \
-exec chmod 644 {} \;
-# Patch docbook.dtd's so this will compile properly
-patch -p1 < $CWD/docbook.patch
-
mkdir build
cd build
cmake \
@@ -96,6 +93,7 @@ find $PKG/usr/doc/$PRGNAM-$VERSION -type f -exec chmod 644 {} \;
mkdir $PKG/install
cat $CWD/slack-desc > $PKG/install/slack-desc
+cat $CWD/doinst.sh > $PKG/install/doinst.sh
cd $PKG
/sbin/makepkg -l y -c n $OUTPUT/$PRGNAM-$VERSION-$ARCH-$BUILD$TAG.${PKGTYPE:-tgz}
diff --git a/development/kdiff3/kdiff3.info b/development/kdiff3/kdiff3.info
index 4ee5f9a59e..923f5a3203 100644
--- a/development/kdiff3/kdiff3.info
+++ b/development/kdiff3/kdiff3.info
@@ -1,10 +1,10 @@
PRGNAM="kdiff3"
-VERSION="0.9.95"
+VERSION="0.9.96"
HOMEPAGE="http://kdiff3.sourceforge.net"
-DOWNLOAD="http://downloads.sourceforge.net/kdiff3/kdiff3-0.9.95.tar.gz"
-MD5SUM="652a98bf79ba762a8a646d4a0fddb323"
+DOWNLOAD="http://downloads.sourceforge.net/kdiff3/kdiff3-0.9.96.tar.gz"
+MD5SUM="46b96befddf3448a3cb673f018c6f6f9"
DOWNLOAD_x86_64=""
MD5SUM_x86_64=""
MAINTAINER="Michiel van Wessem"
EMAIL="michiel@slackbuilds.org"
-APPROVED="rworkman"
+APPROVED="Niels Horn"
diff --git a/development/kdiff3/slack-desc b/development/kdiff3/slack-desc
index 1f350f5bd3..17ac3d3121 100644
--- a/development/kdiff3/slack-desc
+++ b/development/kdiff3/slack-desc
@@ -7,7 +7,7 @@
|-----handy-ruler------------------------------------------------------|
kdiff3: kdiff3 (A compare and merge tool for KDE)
-kdiff3:
+kdiff3:
kdiff3: KDiff3 is a file and directory diff and merge tool which compares and
kdiff3: merges two or three text input files or directories, shows the
kdiff3: differences line by line and character by character, provides an